Skip to content
The API may change between versions while TTX-Zone is 0.x.

Public config

GET
/api/v1/auth/oidc/config
curl --request GET \
--url https://example.com/api/v1/auth/oidc/config

Whether the sign-in page offers single sign-on, and as what.

Successful Response

Media typeapplication/json
OidcPublicConfig

What the sign-in page needs to offer single sign-on.

object
display_name
Any of:
string
enabled
required
Enabled
boolean
provider_kind
Any of:
string
Allowed values: entra generic

Example

{
"provider_kind": "entra"
}